#include <LiquidCrystal.h>

//Define Pins
#define soilPin1 34
#define soilPin2 35

//LCD, Define Pins
LiquidCrystal lcd(15,2,19,21,22,23);

//Define Global Vars.
const int AirValue = 3500;
const int WaterValue= 1500;
int m_percent1 = 0;
int m_percent2 = 0;


void setup() { 
  Serial.begin(9600);
  lcd.begin(16,2);

  //Set up pins

}

void loop() {

  //Row 1,Collumn 0 is indexed as 0.
  lcd.setCursor(0,0);

  m_percent1 = readMoisture(soilPin1);

  lcd.setCursor(0,0);
  lcd.print("Soil_1 Moist. %:");
  lcd.setCursor(0,1);
  lcd.print(m_percent1);
  delay(5000);

  m_percent2 = readMoisture(soilPin2);
  
  lcd.setCursor(0,0);
  lcd.print("Soil_2 Moist. %:");
  lcd.setCursor(0,1);
  lcd.print(m_percent2);
  delay(5000);
}

int readMoisture(int soilPinNum) {
  int soilmoistureValue;
  int soilmoisturepercent;

  soilmoistureValue = analogRead(soilPinNum);
  soilmoisturepercent = map(soilmoistureValue, AirValue, WaterValue, 0 ,100);

  //Remove Edge cases
  if(soilmoisturepercent >= 100)
  {
    soilmoisturepercent = 99;
  }
  else if(soilmoisturepercent <= 0)
  {
    soilmoisturepercent = 0;
  }

  return soilmoisturepercent; 
}
